#ifndef _CONTROLLER_H_
#define _CONTROLLER_H_

#include <math.h>
#include <stdio.h>
#include <string.h>
#include <stdint.h>	//clock
#include <stdlib.h>
#include "defines.h"

float PI_action(float vel_encoder, float vel_ref, float dt);
float PD_action(float pos, float vel, float pos_ref);

#endif //_CONTROLLER_H_